﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using sopinfra.DBContexts;

namespace sopinfra.Migrations
{
    [DbContext(typeof(MyDBContext))]
    [Migration("20210202013117_DBInit")]
    partial class DBInit
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 64)
                .HasAnnotation("ProductVersion", "5.0.0");

            modelBuilder.Entity("sopinfra.Models.App", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Contacto")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Descripcion")
                        .IsRequired()
                        .HasColumnType("nvarchar(250)");

                    b.Property<string>("Equipo")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.Property<DateTime>("FechaRegistro")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("CURRENT_TIMESTAMP");

                    b.Property<DateTime?>("LastUpdateDateTime")
                        .HasColumnType("datetime");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Id")
                        .HasName("PK_App");

                    b.HasIndex("Contacto")
                        .HasDatabaseName("Idx_IpAddress");

                    b.HasIndex("Descripcion")
                        .HasDatabaseName("Idx_Descripcion");

                    b.HasIndex("Equipo")
                        .HasDatabaseName("Idx_Sistema");

                    b.HasIndex("Name")
                        .HasDatabaseName("Idx_DnsName");

                    b.ToTable("Apps");
                });

            modelBuilder.Entity("sopinfra.Models.Document", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Aplicacion")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("Descripcion")
                        .IsRequired()
                        .HasColumnType("nvarchar(250)");

                    b.Property<DateTime>("FechaRegistro")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("CURRENT_TIMESTAMP");

                    b.Property<DateTime?>("LastUpdateDateTime")
                        .HasColumnType("datetime");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("Url")
                        .IsRequired()
                        .HasColumnType("nvarchar(350)");

                    b.HasKey("Id")
                        .HasName("PK_Document");

                    b.HasIndex("Aplicacion")
                        .HasDatabaseName("Idx_IpAddress");

                    b.HasIndex("Descripcion")
                        .HasDatabaseName("Idx_Descripcion");

                    b.HasIndex("Name")
                        .HasDatabaseName("Idx_DnsName");

                    b.HasIndex("Url")
                        .HasDatabaseName("Idx_Sistema");

                    b.ToTable("Documents");
                });

            modelBuilder.Entity("sopinfra.Models.Server", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Descripcion")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("DnsName")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.Property<DateTime>("FechaRegistro")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("CURRENT_TIMESTAMP");

                    b.Property<string>("IpAddress")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)");

                    b.Property<DateTime?>("LastUpdateDateTime")
                        .HasColumnType("datetime");

                    b.Property<string>("Sistema")
                        .IsRequired()
                        .HasColumnType("nvarchar(15)");

                    b.HasKey("Id")
                        .HasName("PK_Server");

                    b.HasIndex("Descripcion")
                        .HasDatabaseName("Idx_Descripcion");

                    b.HasIndex("DnsName")
                        .HasDatabaseName("Idx_DnsName");

                    b.HasIndex("IpAddress")
                        .HasDatabaseName("Idx_IpAddress");

                    b.HasIndex("Sistema")
                        .HasDatabaseName("Idx_Sistema");

                    b.ToTable("Servers");
                });
#pragma warning restore 612, 618
        }
    }
}
